Package com.independentsoft.office.spreadsheet.pivotTables

# Class ErrorValue

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.ItemValue
com.independentsoft.office.spreadsheet.pivotTables.ErrorValue

public class ErrorValue extends ItemValue
The Class ErrorValue.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorValue()`
  Instantiates a new error value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ErrorValue`
  `clone()`
  `String`
  `getBackgroundColor()`
  Gets the background color.
  `String`
  `getCaption()`
  Gets the caption.
  `int`
  `getCount()`
  Gets the count.
  `String`
  `getForegroundColor()`
  Gets the foreground color.
  `int`
  `getFormatIndex()`
  Gets the format index.
  `int`
  `getIndex()`
  Gets the index.
  `String`
  `getValue()`
  Gets the value.
  `boolean`
  `hasCalculatedValue()`
  Checks for calculated value.
  `boolean`
  `isBold()`
  Checks if is bold.
  `boolean`
  `isItalic()`
  Checks if is italic.
  `boolean`
  `isStrikethrough()`
  Checks if is strikethrough.
  `boolean`
  `isUnderline()`
  Checks if is underline.
  `boolean`
  `isUnusedItem()`
  Checks if is unused item.
  `void`
  `setBackgroundColor​(String backgroundColor)`
  Sets the background color.
  `void`
  `setBold​(boolean bold)`
  Sets the bold.
  `void`
  `setCalculatedValue​(boolean hasCalculatedValue)`
  Sets the calculated value.
  `void`
  `setCaption​(String caption)`
  Sets the caption.
  `void`
  `setCount​(int count)`
  Sets the count.
  `void`
  `setForegroundColor​(String foregroundColor)`
  Sets the foreground color.
  `void`
  `setFormatIndex​(int formatIndex)`
  Sets the format index.
  `void`
  `setIndex​(int index)`
  Sets the index.
  `void`
  `setItalic​(boolean italic)`
  Sets the italic.
  `void`
  `setStrikethrough​(boolean strikethrough)`
  Sets the strikethrough.
  `void`
  `setUnderline​(boolean underline)`
  Sets the underline.
  `void`
  `setUnusedItem​(boolean isUnusedItem)`
  Sets the unused item.
  `void`
  `setValue​(String value)`
  Sets the value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ErrorValue

    public ErrorValue()
    Instantiates a new error value.

- ## Method Details

  - ### clone

    public ErrorValue clone()
    Specified by:
      `clone` in class `ItemValue`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isBold

    public boolean isBold()
    Checks if is bold.
    Returns:
      true, if is bold

  - ### setBold

    public void setBold​(boolean bold)
    Sets the bold.
    Parameters:
      `bold` - the new bold

  - ### getBackgroundColor

    public String getBackgroundColor()
    Gets the background color.
    Returns:
      the background color

  - ### setBackgroundColor

    public void setBackgroundColor​(String backgroundColor)
    Sets the background color.
    Parameters:
      `backgroundColor` - the new background color

  - ### getCaption

    public String getCaption()
    Gets the caption.
    Returns:
      the caption

  - ### setCaption

    public void setCaption​(String caption)
    Sets the caption.
    Parameters:
      `caption` - the new caption

  - ### getCount

    public int getCount()
    Gets the count.
    Returns:
      the count

  - ### setCount

    public void setCount​(int count)
    Sets the count.
    Parameters:
      `count` - the new count

  - ### hasCalculatedValue

    public boolean hasCalculatedValue()
    Checks for calculated value.
    Returns:
      true, if successful

  - ### setCalculatedValue

    public void setCalculatedValue​(boolean hasCalculatedValue)
    Sets the calculated value.
    Parameters:
      `hasCalculatedValue` - the new calculated value

  - ### getForegroundColor

    public String getForegroundColor()
    Gets the foreground color.
    Returns:
      the foreground color

  - ### setForegroundColor

    public void setForegroundColor​(String foregroundColor)
    Sets the foreground color.
    Parameters:
      `foregroundColor` - the new foreground color

  - ### isItalic

    public boolean isItalic()
    Checks if is italic.
    Returns:
      true, if is italic

  - ### setItalic

    public void setItalic​(boolean italic)
    Sets the italic.
    Parameters:
      `italic` - the new italic

  - ### getFormatIndex

    public int getFormatIndex()
    Gets the format index.
    Returns:
      the format index

  - ### setFormatIndex

    public void setFormatIndex​(int formatIndex)
    Sets the format index.
    Parameters:
      `formatIndex` - the new format index

  - ### isStrikethrough

    public boolean isStrikethrough()
    Checks if is strikethrough.
    Returns:
      true, if is strikethrough

  - ### setStrikethrough

    public void setStrikethrough​(boolean strikethrough)
    Sets the strikethrough.
    Parameters:
      `strikethrough` - the new strikethrough

  - ### isUnusedItem

    public boolean isUnusedItem()
    Checks if is unused item.
    Returns:
      true, if is unused item

  - ### setUnusedItem

    public void setUnusedItem​(boolean isUnusedItem)
    Sets the unused item.
    Parameters:
      `isUnusedItem` - the new unused item

  - ### isUnderline

    public boolean isUnderline()
    Checks if is underline.
    Returns:
      true, if is underline

  - ### setUnderline

    public void setUnderline​(boolean underline)
    Sets the underline.
    Parameters:
      `underline` - the new underline

  - ### getValue

    public String getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the value.
    Parameters:
      `value` - the new value

  - ### getIndex

    public int getIndex()
    Gets the index.
    Returns:
      the index

  - ### setIndex

    public void setIndex​(int index)
    Sets the index.
    Parameters:
      `index` - the new index